<script lang="ts">
	export let chessBoardPattern: () => void;
	export let gunPattern: () => void;
	export let CthulhuPattern: () => void;
</script>

<button
	on:click={() => {
		chessBoardPattern();
	}}>Chess board</button
>
<button
	on:click={() => {
		gunPattern();
	}}>Gun</button
>
<button
	on:click={() => {
		CthulhuPattern();
	}}>Cthulhu</button
>

<style>
</style>
